SQRT(3) | Library Functions Manual | SQRT(3)

# NAME

`cbrt`, `cbrtf`, `cbrtl`, `sqrt`, `sqrtf`, `sqrtl` — cube root and square root functions

# LIBRARY

Math Library (libm, -lm)

# SYNOPSIS

`#include <math.h>`

double
`cbrt`(double x);

float
`cbrtf`(float x);

long double
`cbrtl`(long double x);

double
`sqrt`(double x);

float
`sqrtf`(float x);

long double
`sqrtl`(long double x);

# DESCRIPTION

The `cbrt`(), `cbrtf`() and `cbrtl`() functions compute the cube root of x.

The `sqrt`(), `sqrtf`() and `sqrtl`() functions compute the non-negative square root of x.

# RETURN VALUES

If x is negative, `sqrt`(x), `sqrtf`(x) and `sqrtl`(x) set the global variable errno to `EDOM`.

# SEE ALSO

math(3)

# STANDARDS

The `sqrt`() function conforms to ANSI X3.159-1989 (“ANSI C89”).

# HISTORY

The `cbrt`() function appeared in 4.3BSD.

November 19, 2013 | NetBSD 11.0